/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


function eliminarMesMat(pm, idePla) {
    if (confirm("¿Seguro que desea eliminar el Mes?") == false) {
        alert("SE CANCELÓ LA OPERACIÓN.");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/pagMatEliminarMes',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {pm: pm, idePla: idePla},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("con_res_matriculacion").innerHTML = '<div class="col-lg-12"><i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i></div>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("con_res_matriculacion").innerHTML = respuesta;
                actualizarDatos();
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("con_res_matriculacion").innerHTML = '|°__°|';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }


} // eliminarMesMat